# Uses of Interface
com.sun.jdi.StackFrame

Packages that use StackFrame
Package
Description
com.sun.jdi
This is the core package of the Java Debug Interface (JDI), it defines mirrors for values, types, and the target VirtualMachine itself - as well bootstrapping facilities.

- ## Uses of StackFrame in com.sun.jdi

  Methods in com.sun.jdi that return StackFrame
  Modifier and Type
  Method
  Description
  `StackFrame`
  ThreadReference.`frame(int index)`
  Returns the `StackFrame` at the given index in the thread's current call stack.
  Methods in com.sun.jdi that return types with arguments of type StackFrame
  Modifier and Type
  Method
  Description
  `List<StackFrame>`
  ThreadReference.`frames()`
  Returns a List containing each `StackFrame` in the thread's current call stack.
  `List<StackFrame>`
  ThreadReference.`frames(int start, int length)`
  Returns a List containing a range of `StackFrame` mirrors from the thread's current call stack.
  Methods in com.sun.jdi with parameters of type StackFrame
  Modifier and Type
  Method
  Description
  `boolean`
  LocalVariable.`isVisible(StackFrame frame)`
  Determines whether this variable can be accessed from the given `StackFrame`.
  `void`
  ThreadReference.`popFrames(StackFrame frame)`
  Pop stack frames.